Bug 989831 - Met "undefined local variable or method `uuid' for main:Object" when disable cgroups via oo-cgroup-disable.
Met "undefined local variable or method `uuid' for main:Object" when disable ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 23:13 EDT by Liang Xia
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:58:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-07-29 23:13:55 EDT
Description of problem:
Trying to disalbe all cgroups via oo-cgroup-disable -a , "undefined local variable or method `uuid' for main:Object" shown.

Version-Release number of selected component (if applicable):
devenv_3580

How reproducible:
always

Steps to Reproduce:
1.oo-cgroup-disable -a
2.oo-cgroup-disable --with-all-containers
3.

Actual results:
[root@ip-10-164-36-98 ~]# oo-cgroup-disable -a
undefined local variable or method `uuid' for main:Object
[root@ip-10-164-36-98 ~]# oo-cgroup-disable --with-all-containers   
undefined local variable or method `uuid' for main:Object

Expected results:
all cgroups disabled successfully.

Additional info:
[root@ip-10-164-36-98 ~]# oo-cgroup-disable 
== Synopsis

/usr/bin/oo-cgroup-disable: Disable cgroups for a gear
  This command must be run as root.

== Usage

To disable cgroups for a gear with UUID:
/usr/bin/oo-cgroup-disable --with-container-uuid UUID

To disable cgroups for all gears:
/usr/bin/oo-cgroup-disable --with-all-containers

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gear (mandatory)
  -a|--with-all-containers              Run on all gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message
Comment 1 Liang Xia 2013-07-30 04:05:11 EDT
This can be reproduced in devenv_3582

[root@ip-10-62-17-76 ~]# oo-cgroup-disable -a
undefined local variable or method `uuid' for main:Object
[root@ip-10-62-17-76 ~]# oo-cgroup-disable --with-all-containers
undefined local variable or method `uuid' for main:Object
Comment 2 Rob Millner 2013-07-30 13:44:38 EDT
Pull request:
https://github.com/openshift/origin-server/pull/3226
Comment 3 openshift-github-bot 2013-07-30 15:51:09 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/8dd237f7541b82ec9b0819f850dace488269b79d
Bug 989831 - Fix incorrect variable.
Comment 4 Liang Xia 2013-07-30 23:00:03 EDT
Verified on devenv_3588. Can execute the command, without errors.

Note You need to log in before you can comment on or make changes to this bug.